Functions

Activate function

Activate a deactivated function. Active functions can be triggered.

AuthJWT or API Key
GroupFunctions
Rate limitSee Rate Limits
POST/api/functions/projects/{projectId}/functions/{functionId}/activate

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const functions = new FunctionsApi(configuration);
import { Configuration, FunctionsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.

const functions = new FunctionsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await functions.activateFunction("proj_ZCWHmPYR4zY0", "qTscyys0za73VkHV");
const { data: result } = await functions.activateFunction("proj_ZCWHmPYR4zY0", "qTscyys0za73VkHV");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Get your API key from the console
Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes
functionIdstringYes

Responses

200Function activated
json
{
  "success": true,
  "data": {
    "_id": "U4CATqYMhJauZX5r",
    "name": "Delilah Wehner",
    "description": "Introducing the Cuba-inspired Chair, blending grown style with local craftsmanship",
    "projectId": "proj_bDpJg8MziRQU",
    "trigger": {
      "type": "file",
      "event": "interface transmit",
      "schedule": "protocol transmit",
      "path": "card parse",
      "method": "GET",
      "collectionId": "0Cc9p4iUNtFNLaB4",
      "bucketId": "u8XSjcsxoiFgs8QF"
    },
    "stats": {
      "totalExecutions": 82,
      "successfulExecutions": 43143,
      "failedExecutions": 88320,
      "avgExecutionTime": 794.1,
      "lastExecution": "2026-07-19T08:11:12.273Z"
    },
    "isActive": true,
    "createdBy": "transmitter back up",
    "createdAt": "2026-06-08T22:51:27.578Z",
    "updatedAt": "2026-06-04T03:12:48.482Z"
  }
}
{
  "success": true,
  "data": {
    "_id": "U4CATqYMhJauZX5r",
    "name": "Delilah Wehner",
    "description": "Introducing the Cuba-inspired Chair, blending grown style with local craftsmanship",
    "projectId": "proj_bDpJg8MziRQU",
    "trigger": {
      "type": "file",
      "event": "interface transmit",
      "schedule": "protocol transmit",
      "path": "card parse",
      "method": "GET",
      "collectionId": "0Cc9p4iUNtFNLaB4",
      "bucketId": "u8XSjcsxoiFgs8QF"
    },
    "stats": {
      "totalExecutions": 82,
      "successfulExecutions": 43143,
      "failedExecutions": 88320,
      "avgExecutionTime": 794.1,
      "lastExecution": "2026-07-19T08:11:12.273Z"
    },
    "isActive": true,
    "createdBy": "transmitter back up",
    "createdAt": "2026-06-08T22:51:27.578Z",
    "updatedAt": "2026-06-04T03:12:48.482Z"
  }
}
Edit this page on GitHub